Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.stream.feed
Class AtomizerFeed

    java.lang.Object
      com.saxonica.stream.feed.ItemFeed
          com.saxonica.stream.feed.AtomizerFeed

All Implemented Interfaces:
  Feed

    public class AtomizerFeed

extends ItemFeed

This class is used when a streaming template requests atomization of nodes that don't come directly from the streamed document, but rather are constructed in the course of the push pipeline

Constructor Summary
`AtomizerFeed(Expression expr, Feed result, Stack<XPathContext> contextStack)`

Method Summary
`void` | `append(Item item)` Supply an item to the feed

Methods inherited from class com.saxonica.stream.feed.ItemFeed
`close, getContext, getContextStack, getExpression, getPipelineConfiguration, getResult, open, setPipelineConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtomizerFeed

    public AtomizerFeed(Expression expr,
                        Feed result,
                        Stack<XPathContext> contextStack)

Method Detail

### append

    public void append(Item item)
                throws XPathException

  Supply an item to the feed

  Specified by:
    `append` in interface `Feed`
  Specified by:
    `append` in class `ItemFeed`
  Parameters:
    `item` - the item being fed
  Throws:
    `XPathException` - to report any failure

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.